> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Notifications

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /notifications`](https://docs.github.com/enterprise-cloud@latest/rest/activity/notifications#list-notifications-for-the-authenticated-user) - List notifications for the authenticated user
* [`PUT /notifications`](https://docs.github.com/enterprise-cloud@latest/rest/activity/notifications#mark-notifications-as-read) - Mark notifications as read
* [`GET /notifications/threads/{thread_id}`](https://docs.github.com/enterprise-cloud@latest/rest/activity/notifications#get-a-thread) - Get a thread
* [`PATCH /notifications/threads/{thread_id}`](https://docs.github.com/enterprise-cloud@latest/rest/activity/notifications#mark-a-thread-as-read) - Mark a thread as read
* [`DELETE /notifications/threads/{thread_id}`](https://docs.github.com/enterprise-cloud@latest/rest/activity/notifications#mark-a-thread-as-done) - Mark a thread as done
* [`GET /notifications/threads/{thread_id}/subscription`](https://docs.github.com/enterprise-cloud@latest/rest/activity/notifications#get-a-thread-subscription-for-the-authenticated-user) - Get a thread subscription for the authenticated user
* [`PUT /notifications/threads/{thread_id}/subscription`](https://docs.github.com/enterprise-cloud@latest/rest/activity/notifications#set-a-thread-subscription) - Set a thread subscription
* [`DELETE /notifications/threads/{thread_id}/subscription`](https://docs.github.com/enterprise-cloud@latest/rest/activity/notifications#delete-a-thread-subscription) - Delete a thread subscription
* [`GET /repos/{owner}/{repo}/notifications`](https://docs.github.com/enterprise-cloud@latest/rest/activity/notifications#list-repository-notifications-for-the-authenticated-user) - List repository notifications for the authenticated user
* [`PUT /repos/{owner}/{repo}/notifications`](https://docs.github.com/enterprise-cloud@latest/rest/activity/notifications#mark-repository-notifications-as-read) - Mark repository notifications as read
